# Get Job - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-get-job

# Get Job

GET

/

gpus

/

v2

/

jobs

/

{job_id}

Try it

Get Job

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/jobs/{job_id} \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/jobs/{job_id}"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/jobs/{job_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/jobs/{job_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/jobs/{job_id}"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/jobs/{job_id}") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/jobs/{job_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"id": "job-id",
"type": "saveImage",
"envs": [],
"status": {
"status": "Succeeded",
"error": "",
"message": ""
},
"log": {
"endpoint": "https://example.com/logs/job-id"
},
"created_at": 1714982400,
"member_id": "member-id",
"owner_id": "owner-id",
"deleted_time": 0,
"update_at": 1714982600,
"instance_id": "instance-id"
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-job-id)

job_id

string

required

Job ID. String, length: 1-255 characters.

#### Response

200 - application/json

OK

[​](#response-id)

id

string

Job ID

Example:

`"job-id"`

[​](#response-type)

type

string

Job type

Example:

`"saveImage"`

[​](#response-envs)

envs

string[]

Job environment variables

Example:

```
[]
```

[​](#response-status)

status

object

Job status

Show child attributes

[​](#response-log)

log

string

Job log endpoint

Example:

```
{ "endpoint": "https://example.com/logs/job-id"}
```

[​](#response-created-at)

created_at

integer

Creation time. Unix timestamp

Example:

`1714982400`

[​](#response-member-id)

member_id

string

Creator member ID. Same semantics as the legacy `creator` field

Example:

`"member-id"`

[​](#response-owner-id)

owner_id

string

Owner user UUID. Same semantics as the legacy `uuid` field

Example:

`"owner-id"`

[​](#response-deleted-time)

deleted_time

integer

Deletion time. Unix timestamp

Example:

`0`

[​](#response-update-at)

update_at

integer

Update time. Same semantics as v1, Unix timestamp

Example:

`1714982600`

[​](#response-instance-id)

instance_id

string

Associated instance ID

Example:

`"instance-id"`

Last modified on June 23, 2026
